######## Collector Properties
#
######## Run Configuration ########
# If RunOnce=true, the activated modules below will only be
# run one time and without any delay.
# Make sure only to run non-interfering modules together.
RunOnce = false
##
# Waiting time for regular shutdown in minutes.
ShutdownGraceWaitMinutes = 10
## the following defines, if this module is activated
BridgedescsActivated = true
# period in minutes
BridgedescsPeriodMinutes = 60
# offset in minutes since the epoch and
BridgedescsOffsetMinutes = 9
## the following defines, if this module is activated
BridgePoolAssignmentsActivated = true
# period in minutes
BridgePoolAssignmentsPeriodMinutes = 60
# offset in minutes since the epoch and
BridgePoolAssignmentsOffsetMinutes = 9
## the following defines, if this module is activated
ExitlistsActivated = true
# period in minutes
ExitlistsPeriodMinutes = 60
# offset in minutes since the epoch and
ExitlistsOffsetMinutes = 2
## the following defines, if this module is activated
RelaydescsActivated = true
# period in minutes
RelaydescsPeriodMinutes = 30
# offset in minutes since the epoch and
RelaydescsOffsetMinutes = 5
## the following defines, if this module is activated
OnionPerfActivated = true
# period in minutes
OnionPerfPeriodMinutes = 360
# offset in minutes since the epoch and
OnionPerfOffsetMinutes = 130
# the following defines, if this module is activated
UpdateindexActivated = true
# period in minutes
UpdateindexPeriodMinutes = 2
# offset in minutes since the epoch and
UpdateindexOffsetMinutes = 0
# the following defines, if this module is activated
WebstatsActivated = true
# period in minutes
WebstatsPeriodMinutes = 360
# offset in minutes since the epoch and
WebstatsOffsetMinutes = 461
# the following defines, if this module is activated
SnowflakeStatsActivated = true
# period in minutes
SnowflakeStatsPeriodMinutes = 480
# offset in minutes since the epoch and
SnowflakeStatsOffsetMinutes = 100
# the following defines, if this module is activated
BridgedbMetricsActivated = true
# period in minutes
BridgedbMetricsPeriodMinutes = 480
# offset in minutes since the epoch and
BridgedbMetricsOffsetMinutes = 340
# the following defines, if this module is activated
BridgestrapStatsActivated = true
# period in minutes
BridgestrapStatsPeriodMinutes = 480
# offset in minutes since the epoch and
BridgestrapStatsOffsetMinutes = 100

######## General Properties ########
# The URL of this instance.  This will be the base URL
# written to index.json, i.e. please change this to the mirrors url!
InstanceBaseUrl = https://collector.torproject.org
# The top-level directory for archived descriptors.
IndexedPath = indexed
# The top-level directory for the recent descriptors that were
# published in the last 72 hours.
RecentPath = indexed/recent
# The top-level directory for the retrieved descriptors that will
# be archived.
OutputPath = out
# Some statistics are stored here.
StatsPath = stats
# Path for descriptors downloaded from other instances
SyncPath = sync
# Directory served via an external web server and managed by us which contains
# (hard) links to files in ArchivePath and RecentPath and which therefore must
# be located on the same file system. Also contains index.json and its
# compressed versions index.json.gz, index.json.bz2, and index.json.xz.
HtdocsPath = htdocs
######## Relay descriptors ########
#
## Define descriptor sources
#  possible values: Sync, Cache, Remote, Local
RelaySources = Cache, Remote, Sync, Local
#  Retrieve files from the following CollecTor instances.
#  List of URLs separated by comma.
RelaySyncOrigins = https://collector2.torproject.org
#
## Path to Tor data directory to read cached-* files from
## the listed path(s). If there is more that one separated by comma.
RelayCacheOrigins = in/relay-descriptors/cacheddesc/
## Relative path to directory to import directory archives from.
## Note that when importing bandwidth files, the parent directory name is
## included in the @source annotation and in the file name. Recommended
## source names are nicknames of directory authorities using these files.
RelayLocalOrigins = in/relay-descriptors/archives/
#
## Keep a history of imported directory archive files to know which files
## have been imported before. This history can be useful when importing
## from a changing source to avoid importing descriptors over and over
## again, but it can be confusing to users who don't know about it.
KeepDirectoryArchiveImportHistory = false
#
## Comma separated list of directory authority addresses (IP[:port]) to
## download missing relay descriptors from
#DirectoryAuthoritiesAddresses = 128.31.0.39:9131,131.188.40.189,193.23.244.244,171.25.193.9:443,199.58.81.140,204.13.164.118
DirectoryAuthoritiesAddresses = 128.31.0.39:9131,131.188.40.189,154.35.175.225,171.25.193.9:443,193.23.244.244,199.58.81.140,204.13.164.118,45.66.33.45,86.59.21.38
#
#
## Comma separated list of directory authority fingerprints to download
## votes
#DirectoryAuthoritiesFingerprintsForVotes = 0232AF901C31A04EE9848595AF9BB7620D4C5B2E,27102BC123E7AF1D4741AE047E160C91ADC76B21,49015F787433103580E3B66A1707A00E60F2D15B,D586D18309DED4CD6D57C18FDB97EFA96D330566,ED03BB616EB2F60BEC80151114BB25CEF515B226,EFCBE720AB3A82B99F9E953CD5BF50F7EEFC7B97
DirectoryAuthoritiesFingerprintsForVotes = 0232AF901C31A04EE9848595AF9BB7620D4C5B2E,14C131DFC5C6F93646BE72FA1401C02A8DF2E8B4,23D15D965BC35114467363C165C4F724B64B4F66,27102BC123E7AF1D4741AE047E160C91ADC76B21,49015F787433103580E3B66A1707A00E60F2D15B,D586D18309DED4CD6D57C18FDB97EFA96D330566,E8A9C45EDE6D711294FADF8E7951F4DE6CA56B58,ED03BB616EB2F60BEC80151114BB25CEF515B226,EFCBE720AB3A82B99F9E953CD5BF50F7EEFC7B97
#
#
#
## Download all server descriptors from the directory authorities at most
## once a day (only if DownloadRelayDescriptors is true)
DownloadAllServerDescriptors = false
#
## Download all extra-info descriptors from the directory authorities at
## most once a day (only if DownloadRelayDescriptors is true)
DownloadAllExtraInfoDescriptors = false
#
## Compress relay descriptors downloads by adding .z to the URLs
CompressRelayDescriptorDownloads = true
#
#
######## Bridge descriptors ########
#
## Define descriptor sources
#  possible values: Sync, Local
BridgeSources = Local
#  Retrieve files from the following instances.
#  List of URLs separated by comma.
BridgeSyncOrigins = https://collector.torproject.org
## Relative path to directory to import bridge descriptor snapshots from
BridgeLocalOrigins = in/bridge-descriptors/
#
## Replace IP addresses in sanitized bridge descriptors with 10.x.y.z
## where x.y.z = H(IP address | bridge identity | secret)[:3], so that we
## can learn about IP address changes.
ReplaceIpAddressesWithHashes = true
#
## Limit internal bridge descriptor mapping state to the following number
## of days, or inf for unlimited.
BridgeDescriptorMappingsLimit = 90
#
#
######## Bridge pool assignments ########
#
## Define descriptor sources
#  possible values: Sync, Local
BridgePoolAssignmentsSources = Local
##  Retrieve files from the following instances.
##  List of URLs separated by comma.
BridgePoolAssignmentsSyncOrigins = https://collector.torproject.org
## Relative path to directory to read bridge pool assignment files from
BridgePoolAssignmentsLocalOrigins = in/bridge-pool-assignments/
#
#
######## Exit lists ########
#
## Define descriptor sources
#  possible values: Sync, Remote
ExitlistSources = Remote
##  Retrieve files from the following instances.
##  List of URLs separated by comma.
ExitlistSyncOrigins = https://collector.torproject.org
## Where to download exit-lists from.
ExitlistUrl = https://check.torproject.org/exit-addresses
#
######## OnionPerf downloader ########
#
## Define descriptor sources
#  possible values: Remote,Sync
OnionPerfSources = Remote
#  Retrieve files from the following CollecTor instances.
#  List of URLs separated by comma.
OnionPerfSyncOrigins = https://collector.torproject.org
#
## OnionPerf base URLs
## Hosts must be configured to use the first subdomain part of the given URL as
## source name, e.g., SOURCE=first for the first URL below, SOURCE=second for
## the second, etc.:
## OnionPerfHosts = http://first.torproject.org/, http://second.torproject.org/
OnionPerfHosts = https://op-us6.onionperf.torproject.net:8443/htdocs/, https://op-hk6.onionperf.torproject.net:8443/htdocs/, https://op-nl6.onionperf.torproject.net:8443/htdocs/, https://op-de6a.onionperf.torproject.net:8443/htdocs/, https://op-hk6a.onionperf.torproject.net:8443/htdocs/
######## Tor Weblogs ########
#
## Define descriptor sources
#  possible values: Local, Sync
WebstatsSources = Local
#  Retrieve files from the following CollecTor instances.
#  List of URLs separated by comma.
WebstatsSyncOrigins = https://collector.torproject.org
## Relative path to directory to import logfiles from.
WebstatsLocalOrigins = in/webstats
# Default 'true' behaves as stated in section 4 of
# https://metrics.torproject.org/web-server-logs.html
WebstatsLimits = true
#
#
######## Snowflake statistics ########
#
## Define descriptor sources
#  possible values: Sync, Remote
SnowflakeStatsSources = Remote
##  Retrieve files from the following instances.
##  List of URLs separated by comma.
SnowflakeStatsSyncOrigins = https://collector.torproject.org
## Where to download snowflake statistics from.
SnowflakeStatsUrl = https://snowflake-broker.freehaven.net/metrics
#
######## BridgeDB statistics ########
#
## Define descriptor sources
#  possible values: Local, Sync
BridgedbMetricsSources = Local
## Relative path to directory to import BridgeDB metrics from.
BridgedbMetricsLocalOrigins = in/bridgedb-stats
##  Retrieve files from the following instances.
##  List of URLs separated by comma.
BridgedbMetricsSyncOrigins = https://collector.torproject.org
#
######## Bridgestrap statistics ########
#
## Define descriptor sources
#  possible values: Sync, Remote
BridgestrapStatsSources = Remote
##  Retrieve files from the following instances.
##  List of URLs separated by comma.
BridgestrapStatsSyncOrigins = https://collector.torproject.org
## Where to download snowflake statistics from.
BridgestrapStatsUrl = https://bridges.torproject.org/bridgestrap-collector
#
